Module javafx.controls
Package javafx.scene.control.skin

# Class LabelSkin

java.lang.Object
javafx.scene.control.SkinBase<Label>
javafx.scene.control.skin.LabeledSkinBase<Label>
javafx.scene.control.skin.LabelSkin

All Implemented Interfaces:
  `Skin<Label>`

public class LabelSkin extends LabeledSkinBase<Label>
Default skin implementation for the `Label` control.

Since:
  9
See Also:
  - `Label`

## Constructor Summary

Constructors
Constructor
Description
`LabelSkin(Label control)`
Creates a new LabelSkin instance, installing the necessary child nodes into the Control `children` list.

## Method Summary

### Methods inherited from class javafx.scene.control.skin.LabeledSkinBase

`computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, layoutChildren, layoutLabelInArea, layoutLabelInArea, queryAccessibleAttribute, updateChildren`

### Methods inherited from class javafx.scene.control.SkinBase

`consumeMouseEvents, dispose, executeAccessibleAction, getChildren, getClassCssMetaData, getCssMetaData, getNode, getSkinnable, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, registerChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LabelSkin

public LabelSkin(Label control)
Creates a new LabelSkin instance, installing the necessary child nodes into the Control `children` list.

Parameters:
  `control` - The control that this skin should be installed onto.